.movie{
    padding: 0 15rem;
    margin-bottom: 28rem;
}
.movie__title {
    position: relative;
    text-align: center;
    font-weight: 700;
    font-size: 30rem;
    letter-spacing: 0.1em;
    margin-bottom: 40rem;
}
.movie__nav {
    position: relative;
}
.movie__nav-title {
    font-weight: 700;
    font-size: 20rem;
    line-height: 140%;
    margin-bottom: 16rem;
    text-align: center;
}
.movie__nav-box{
    margin-bottom: 28rem;
}
.movie__nav-btn {
    position: relative;
    width: 160rem;
    height: 30rem;
    border: 1rem solid var(--color-neutral-500);
    border-radius: 100rem;
    margin: 0 auto;
    display: block;
    font-weight: 400;
    font-size: 12rem;
    line-height: 100%;
}
.movie__nav-btn::before {
    position: absolute;
    content: '';
    border: 1px solid var(--color-neutral-900);
    border-top: none;
    border-left: none;
    top: 50%;
    right: 12rem;
    transform: translateY(-50%) rotate(45deg);
    width: 6rem;
    height: 6rem;
}
.movie__nav-list {
    position: absolute;
    bottom: -10rem;
    left: 50%;
    transform: translate(-50%, 100%);
    width: 90%;
    background: rgba(245, 245, 245, 0.95);
    border-radius: 10rem;
    padding: 24rem 20rem;
    display: flex;
    flex-wrap: wrap;
    z-index: 99;
    pointer-events: none;
    opacity: 0;
    transition: .3s opacity;
}
.movie__nav-list--open {
    pointer-events: all;
    opacity: 1;
}
.movie__detail-link {
    text-align: right;
    padding: 20rem 0 25rem;
    width: 92%;
    max-width: 896rem;
    margin: 0 auto;
}
.movie__detail-link-text {
    font-size: 12rem;
    padding-right: 12rem;
    position: relative;
    display: inline-block;
}
.movie__detail-link-text::before {
    position: absolute;
    content: '';
    top: 50%;
    right: 0;
    transform: translateY(-50%) rotate(45deg);
    border-top: 1px solid var(--color-neutral-900);
    border-right: 1px solid var(--color-neutral-900);
    width: 5rem;
    height: 5rem;
    transition: .3s all;
}
.movie__nav-item {
    margin-right: 8rem;
    margin-bottom: 8rem;
}
.movie__nav-link {
    background: #FFFFFF;
    border-radius: 50rem;
    color: var(--color-neutral-900);
    font-size: 12rem;
    font-weight: 400;
    padding: 9rem 16rem;
    display: block;
}
.movie__nav-link--active {
    color: #fff;
    background: var(--color-neutral-900);
}
.movie__list {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 15rem 16rem;
    max-width: 896rem;
    margin: 0 auto 40rem;
}
.movie__list:last-child {
    margin-bottom: 0;
}
.movie__item {
}
.movie__item--empty {
}
.movie__link {
    display: block;
    box-shadow: 5rem 10rem 15rem rgba(0, 0, 0, 0.15);
    transition: .3s all;
}
.movie__link-img {
    background-color: var(--color-neutral-900);
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    aspect-ratio: 165 / 124;
}
.movie__link-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: .3s all;
}
.movie__link-content {
    position: relative;
    padding: 12rem 8rem 16rem 8rem;
    background-color: white;
}
.movie__list--all .movie__item:nth-last-of-type(-n + 6) .movie__link-content::before {
    position: absolute;
    content: '';
    background-color: #E69893;
    height: 100%;
    width: 3rem;
    top: 0;
    left: 0;
}
.movie__link-title {
    font-size: 14rem;
    margin-bottom: 6rem;
}
.movie__link-text {
    font-size: 12rem;
    color: var(--color-neutral-500);
}

@media (min-width: 601px) {
    .movie{
        margin-bottom: 40rem;
    }
    .movie__title {
        font-size: 36rem;
        margin-bottom: 60rem;
    }
    .movie__nav {
        position: relative;
    }
    .movie__nav-box {
        display: flex;
        align-items: center;
        justify-content: space-between;
        width: 100%;
        max-width: 896rem;
        margin: 0 auto;
    }
    .movie__nav-title {
        font-size: 24rem;
        margin-bottom: 0;
    }
    .movie__nav-box{
        margin-bottom: 40rem;
    }
    .movie__nav-list {
        width: 436rem;
        left: 160rem;
        transform: translate(-100%, 100%);
    }
    .movie__detail-link {
        padding: 20rem 0 40rem;
    }
    .movie__detail-link-text:hover::before {
        right: -5rem;
    }
    .movie__list{
        grid-template-columns: repeat(4, 1fr);
        gap: 20rem;
    }
    .movie__link-title {
        font-size: 14rem;
        margin-bottom: 6rem;
    }
    .movie__link-text {
        font-size: 12rem;
    }
    .movie__item {
    }
    .movie__item--empty {
    }
    .movie__link:hover {
        box-shadow: 15rem 20rem 25rem rgba(0, 0, 0, 0.15);
    }
    .movie__link-img {
        aspect-ratio: 206 / 154;
    }
    .movie__link:hover  .movie__link-img img {
        transform: scale(1.1);
    }
    .movie__link-content {
        padding: 12rem 8rem 16rem 8rem;
    }
    .movie__list--all .movie__item:nth-last-of-type(-n + 6) .movie__link-content::before {
        width: 4rem;
    }
}

.movie__list--l{
    grid-template-columns: repeat(1, 1fr);
    gap: 16rem;
}
.movie__list--l .movie__link-content {
    padding: 12rem 20rem 16rem 20rem;
}
.movie__list--l .movie__link-img {
    aspect-ratio: 345 / 259;
}
.movie__list--l .movie__link-title {
    font-size: 18rem;
    margin-bottom: 6rem;
}
.movie__list--l .movie__link-text {
    font-size: 12rem;
}
.movie__list--m{
    grid-template-columns: repeat(2, 1fr);
    gap: 15rem 16rem;
}
.movie__list--m .movie__link-content {
    padding: 12rem 8rem 16rem 8rem;
}
.movie__list--m .movie__link-title {
    font-size: 14rem;
    margin-bottom: 6rem;
}
.movie__list--m .movie__link-text {
    font-size: 12rem;
}
@media (min-width: 601px) {
    .movie__list--l{
        grid-template-columns: repeat(2, 1fr);
        gap: 24rem;
        margin-bottom: 68rem;
    }
    .movie__list--l .movie__link-content {
        padding: 12rem 20rem 20rem 20rem;
    }
    .movie__list--l .movie__link-img {
        aspect-ratio: 436 / 326;
    }
    .movie__list--l .movie__link-title {
        font-size: 20rem;
        margin-bottom: 6rem;
    }
    .movie__list--l .movie__link-text {
        font-size: 12rem;
    }

    .movie__list--m{
        grid-template-columns: repeat(3, 1fr);
        gap: 25rem;
        margin-bottom: 68rem;
    }
    .movie__list--m .movie__link-content {
        padding: 12rem 20rem 20rem 20rem;
    }
    .movie__list--m .movie__link-img {
        aspect-ratio: 282 / 211;
    }
}